---
title: llarp::net::InterfaceInfo
summary: info about a network interface lokinet does not own 

---

# llarp::net::InterfaceInfo



info about a network interface lokinet does not own 


`#include <interface_info.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| std::string | **[ToString](Classes/structllarp_1_1net_1_1InterfaceInfo.md#function-tostring)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::string | **[name](Classes/structllarp_1_1net_1_1InterfaceInfo.md#variable-name)** <br>human readable name of interface  |
| int | **[index](Classes/structllarp_1_1net_1_1InterfaceInfo.md#variable-index)** <br>interface's index  |
| std::vector< [IPRange](Classes/structllarp_1_1IPRange.md) > | **[addrs](Classes/structllarp_1_1net_1_1InterfaceInfo.md#variable-addrs)** <br>the addresses owned by this interface  |
| std::optional< ipaddr_t > | **[gateway](Classes/structllarp_1_1net_1_1InterfaceInfo.md#variable-gateway)** <br>a gateway we can use if it exists  |

## Public Functions Documentation

### function ToString

```cpp
std::string ToString() const
```


## Public Attributes Documentation

### variable name

```cpp
std::string name;
```

human readable name of interface 

### variable index

```cpp
int index;
```

interface's index 

### variable addrs

```cpp
std::vector< IPRange > addrs;
```

the addresses owned by this interface 

### variable gateway

```cpp
std::optional< ipaddr_t > gateway;
```

a gateway we can use if it exists 

-------------------------------

Updated on 2023-01-09 at 16:43:38 +0000